CmdMessenger 4.0.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties
CommandMessenger.Queue.CommandQueue Class Reference
Inheritance diagram for CommandMessenger.Queue.CommandQueue:

List of all members.

## Public Member Functions
void | Clear ()
| Clears the queue.
void | AddGeneralStrategy (GeneralStrategy generalStrategy)
| Adds a general strategy. This strategy is applied to all queued and dequeued commands.
abstract void | QueueCommand (CommandStrategy commandStrategy)
| Queue the command wrapped in a command strategy. Call SignalWaiter method to continue processing of queue.
void | Dispose ()
void | Start ()
void | Stop ()
void | Suspend ()
void | Resume ()
## Protected Member Functions
void | SignalWorker ()
virtual void | Dispose (bool disposing)
abstract bool | ProcessQueue ()
| Process the queue.
## Protected Attributes
readonly ListQueue < CommandStrategy > | Queue = new ListQueue<CommandStrategy>()
readonly List< GeneralStrategy > | GeneralStrategies = new List<GeneralStrategy>()
## Properties
bool | IsRunning`[get]`
bool | IsSuspended`[get]`
int | Count`[get]`
| Gets count of records in queue. NOT THREAD-SAFE.
bool | IsEmpty`[get]`
| Gets is queue is empty. NOT THREAD-SAFE.

## Member Function Documentation

void CommandMessenger.Queue.CommandQueue.AddGeneralStrategy | ( | GeneralStrategy | generalStrategy | ) |

Adds a general strategy. This strategy is applied to all queued and dequeued commands.

Parameters:

  generalStrategy | The general strategy.

void CommandMessenger.Queue.CommandQueue.Clear | ( |  | ) |

Clears the queue.

abstract bool CommandMessenger.Queue.CommandQueue.ProcessQueue | ( |  | ) | `[protected, pure virtual]`

Process the queue.

Implemented in CommandMessenger.Queue.ReceiveCommandQueue, and CommandMessenger.Queue.SendCommandQueue.

abstract void CommandMessenger.Queue.CommandQueue.QueueCommand | ( | CommandStrategy | commandStrategy | ) | `[pure virtual]`

Queue the command wrapped in a command strategy. Call SignalWaiter method to continue processing of queue.

Parameters:

  commandStrategy | The command strategy.

Implemented in CommandMessenger.Queue.SendCommandQueue, and CommandMessenger.Queue.ReceiveCommandQueue.

## Property Documentation

int CommandMessenger.Queue.CommandQueue.Count`[get]`

Gets count of records in queue. NOT THREAD-SAFE.

bool CommandMessenger.Queue.CommandQueue.IsEmpty`[get]`

Gets is queue is empty. NOT THREAD-SAFE.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino/Own Arduino libraries/CmdMessenger/Arduino-CmdMessenger/extras/CSharp/CommandMessenger/Queue/CommandQueue.cs